%define oname	wxGlade

Name:		wxglade
Version:	1.0.0
Release:	%mkrel 1
Summary:	A wxWidgets/wxPython/wxPerl GUI designer
License:	MIT
Group:		Development/Python
URL:		http://wxglade.sourceforge.net
Source0:	https://downloads.sourceforge.net/project/wxglade/wxglade/%{version}/%{oname}-%{version}.zip
Source1:	wxglade.desktop
Source2:	wxglade.png
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

%description
wxGlade is a GUI designer written in Python with the popular GUI
toolkit wxPython, that helps you create wxWidgets/wxPython user
interfaces. At the moment it can generate Python, C++, Perl and XRC
(wxWidgets' XML resources) code.

%prep
%autosetup -n %{oname}-%{version}

%build
%py3_build

%install
%py3_install

# Let's handle licenses by ourselves.
rm -frv %{buildroot}%{_docdir}/%{name}/LICENSE.txt

# Install desktop related entries
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{S:1}
install -pm 755 -d %{buildroot}%{_iconsdir}/hicolor/32x32/apps
install -pm 644 %{S:2} %{buildroot}%{_iconsdir}/hicolor/32x32/apps

%files
%{_docdir}/%{name}/
%license LICENSE.txt
%{_bindir}/%{name}*
%{_iconsdir}/hicolor/*x*/apps/*
%{_datadir}/applications/*
%{_datadir}/%{name}/
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{oname}-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Dec 21 2020 daviddavid <daviddavid> 1.0.0-1.mga8
+ Revision: 1662435
- new version: 1.0.0

* Mon Jun 15 2020 daviddavid <daviddavid> 0.9.6-1.mga8
+ Revision: 1593353
- new version: 0.9.6

* Wed Feb 19 2020 umeabot <umeabot> 0.9.5-2.mga8
+ Revision: 1544521
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 daviddavid <daviddavid> 0.9.5-1.mga8
+ Revision: 1483117
- new version: 0.9.5

* Sun Sep 15 2019 daviddavid <daviddavid> 0.9.4-2.mga8
+ Revision: 1441688
- rebuild for python3.8

* Sat Aug 31 2019 daviddavid <daviddavid> 0.9.4-1.mga8
+ Revision: 1435807
- new version: 0.9.4

* Sat Apr 20 2019 daviddavid <daviddavid> 0.9.3-1.mga7
+ Revision: 1393941
- initial package wxglade

